summaryrefslogtreecommitdiff
path: root/standalone/windows/build-simple.sh
diff options
context:
space:
mode:
authorGravatar Joey Hess <joey@kitenet.net>2013-12-06 12:27:21 -0400
committerGravatar Joey Hess <joey@kitenet.net>2013-12-06 12:27:21 -0400
commit1f4c26566509a07335751e95c464c08e3debcb86 (patch)
tree1ceda06c825a816cfc8bf5220993a0aa4822bbf1 /standalone/windows/build-simple.sh
parent83242b603a8d1393eaa0be310638ca7bddf8e40b (diff)
EvilLinker, stage 1
Diffstat (limited to 'standalone/windows/build-simple.sh')
-rwxr-xr-xstandalone/windows/build-simple.sh13
1 files changed, 8 insertions, 5 deletions
diff --git a/standalone/windows/build-simple.sh b/standalone/windows/build-simple.sh
index cdda36feb..209758aff 100755
--- a/standalone/windows/build-simple.sh
+++ b/standalone/windows/build-simple.sh
@@ -28,8 +28,11 @@ withcyg cabal build || true
# Works around link failure https://ghc.haskell.org/trac/ghc/ticket/8596
# using a response file.
-withcyg rm -f build.log gcc.opt
-withcyg cabal build --ghc-options='-v -keep-tmp-files' > build.log 2>&1 || true
-withcyg grep 'dist\\build\\git-annex\\git-annex.exe' build.log | withcyg grep -v Linking | withcyg sed -e 's/^"[^"]*" //' -e 's/\\/\//g' > gcc.opt
-PATH="$HP/mingw/bin:$PATH"
-gcc @gcc.opt
+ghc --make Build/EvilLinker
+Build/EvilLinker
+
+#withcyg rm -f build.log gcc.opt
+#withcyg cabal build --ghc-options='-v -keep-tmp-files' > build.log 2>&1 || true
+#withcyg grep 'dist\\build\\git-annex\\git-annex.exe' build.log | withcyg grep -v Linking | withcyg sed -e 's/^"[^"]*" //' -e 's/\\/\//g' > gcc.opt
+#PATH="$HP/mingw/bin:$PATH"
+#gcc @gcc.opt